<?php

class bForm extends BackModule
{
    function bForm($formvars = array())
    {
        parent::BackModule($formvars);
    }

    function update($formvars = array(), $table = null, $langue = true)
    {
        parent::update_multi($formvars, $table, $langue);
    }

    function create($formvars = array(), $table = null, $langue = true)
    {
        $id = parent::create_multi($formvars, $table, $langue);

        return $id;
    }

    function delete($formvars = array(), $table = null, $langue = true)
    {
        parent::delete_multi($formvars);
    }

    function Form($formvars = array())
    {

        if (empty($formvars['id'])) {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'un nouveau formulaire</a></span>";
        } else {
            $sql = "SELECT form_nom_nom as data FROM form_nom WHERE form_id = '" . $formvars['id'] . "' AND langue_id = '" . LANGUE . "'";
            $this->sql->query($sql, SQL_ALL, SQL_ASSOC);
            $data = $this->sql->record[0];
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm',
                    array('id' => $formvars['id'])) . "'>Edition du formulaire : <strong>" . $data['data'] . "</strong></a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $sql = getTableMutli('form', $formvars['id']);
            $this->request = $sql;
        }

        $form = new BackForm("Status", 'select', "form_statut_id");
        $arr = [
            1 => 'Active',
            0 => 'Disabled',
        ];
        foreach ($arr as $value => $name) {
            $form->addOption($value, $name);
        }
        $this->addForm($form);

        $form = new BackForm("Name", 'text', 'form_nom_nom');
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Intro text", 'text', 'form_nom_intro_text');
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Button text", 'text', 'form_nom_submit_text');
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Footer text", 'text', 'form_nom_footer_text');
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Footer link", 'text', 'form_nom_footer_link');
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Success text", 'text', 'form_nom_success');
        $form->setVar('translate', true);
        $this->addForm($form);

        $form = new BackForm("Fields", "group");
        $form->addGroupOpts('class', 'form_field');
        $this->addForm($form);

        $form = new BackForm("Boutiques", "group");
        $form->addGroupOpts('class', 'form_boutique');
        $this->addForm($form);

        $form = new BackForm("Response", "group");
        $form->addGroupOpts('class', 'form_response');
        $this->addForm($form);

        //-- Champs du formulaire
        if (!isset($formvars['id'])) {
            $formvars['id'] = 0;
        }

        return $this->displayForm($formvars['id']);
    }

    function Listing($formvars = array())
    {
        $q = new Query();
        $boutique = Boutique::getInstance();

        $q
            ->select(
                'f.form_id',
                'f.form_id',
                'fn.form_nom_nom',
                'COUNT(ff.form_field_id)'
            )
            ->from('form')
            ->leftJoin('form_nom', "AND", ['fn.form_id', 'f.form_id'], ['fn.langue_id', LANGUE])
            ->leftJoin('form_field', 'ff.form_id', 'f.form_id')
        ;


        $this->request = $q->build();
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM");
        $this->addLabel($label);

        $label = new BackLabel("FIELDS", 'listselect');
        $label->setVar('option', array("module" => "<a href='../../form_field/list/?ff*form=%1%'>%IMG%</a>"));
        $this->addLabel($label);

        return $this->displayList($formvars['type']);
    }

//--
}